> For the complete documentation index, see [llms.txt](https://docs.novaflowos.com/start/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/d-bus.md).

# D-Bus

- [What is D-Bus practically useful for?](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/d-bus/_index.md): Inter-Process communication using D-Bus
- [Introduction to D-Bus](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/d-bus/introduction_to_dbus.md): An introduction to the core concepts of D-Bus from an application developer's perspective.
- [Accessing D-Bus interfaces](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/d-bus/accessing_dbus_interfaces.md): A step-by-step guide to calling D-Bus methods and connecting to D-Bus signals using QtDBus.
- [Intermediate D-Bus](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/d-bus/intermediate_dbus.md): Tips to make use of QtDBus when faced with problematic real-world interfaces.
- [Creating D-Bus interfaces](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/d-bus/creating_dbus_interfaces.md): Learn how to expose functionality in your application by creating and using custom D-Bus interfaces. Covers generating the XML descriptions, instantiating interfaces at run time and setting up the bui
- [Using custom types with D-Bus](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/d-bus/using_custom_types_with_dbus.md): Using custom types as arguments of D-Bus method calls.
- [D-Bus autostart services](https://docs.novaflowos.com/start/kde-developer-platform/readme/features/d-bus/dbus_autostart_services.md): Turn your application into a D-Bus autostart service with this tutorial. This D-Bus feature, also known as "D-Bus service activation", will ensure that even when your application isn't running that D-


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.novaflowos.com/start/kde-developer-platform/readme/features/d-bus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
